// styling used across all graphs

$obj1-col: green;
$obj2-col: blue;
$obj3-col: red;
$obj4-col: green;
$obj5-col: blue;

$event1-col: orange;
$event2-col: yellow;
$event3-col: purple;

.obj1 {
    fill: $obj1-col;
    stroke: $obj1-col;
    background: $obj1-col;
}

.obj2 {
    fill: $obj2-col;
    stroke: $obj2-col;
    background: $obj2-col;
}

.obj3 {
    fill: $obj3-col;
    stroke: $obj3-col;
    background: $obj3-col;
}

.obj4 {
    fill: $obj4-col;
    stroke: $obj4-col;
    background: $obj4-col;
}

.obj5 {
    fill: $obj5-col;
    stroke: $obj5-col;
    background: $obj5-col;
}

.event1 {
    fill: $event1-col;
    stroke: $event1-col;
    background: $event1-col;
}

.event2 {
    fill: $event2-col;
    stroke: $event2-col;
    background: $event2-col;
}

.event3 {
    fill: $event3-col;
    stroke: $event3-col;
    background: $event3-col;
}

.event4 {
    fill: $event1-col;
    stroke: $event1-col;
    background: $event1-col;
}

.event5 {
    fill: $event2-col;
    stroke: $event2-col;
    background: $event2-col;
}

.event6 {
    fill: $event3-col;
    stroke: $event3-col;
    background: $event3-col;
}

.event7 {
    fill: $event1-col;
    stroke: $event1-col;
    background: $event1-col;
}

.event8 {
    fill: $event2-col;
    stroke: $event2-col;
    background: $event2-col;
}

.event9 {
    fill: $event3-col;
    stroke: $event3-col;
    background: $event3-col;
}

.event10 {
    fill: $event1-col;
    stroke: $event1-col;
    background: $event1-col;
}

.event11 {
    fill: $event2-col;
    stroke: $event2-col;
    background: $event2-col;
}

.event12 {
    fill: $event3-col;
    stroke: $event3-col;
    background: $event3-col;
}

.axis {
    font: 10px sans-serif;
}

.axis path,
.axis line {
    stroke: white;
    shape-rendering: crispEdges;
}

.grid {
    stroke: $grey-3;
    stroke-width: 0.1rem;
}

.grid-heavy {
    stroke: white;
    stroke-width: 0.15rem;
}
